> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export synonyms as a CSV file



## OpenAPI

````yaml /api-reference/4.2/service-synonyms-editor.json get /collections/{collection}/synonyms/{path}/items
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service synonyms-editor
servers:
  - url: /api/apollo/
security: []
tags:
  - name: synonyms-editor
paths:
  /collections/{collection}/synonyms/{path}/items:
    get:
      tags:
        - 4.2 Synonyms API
      summary: Export synonyms as a CSV file
      operationId: exportToCsv
      parameters:
        - name: collection
          in: path
          description: The name of a collection
          required: true
          schema:
            type: string
        - name: path
          in: path
          description: The path to a synonym file
          required: true
          schema:
            type: string
            pattern: .*
      responses:
        '200':
          description: successful operation
          content:
            text/csv; qs=0.9:
              schema:
                $ref: '#/components/schemas/StreamingOutput'
components:
  schemas:
    StreamingOutput:
      type: object

````